v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/blindinggroups/{blindingGroupId}
Retrieves blinding group in a study by blinding group ID.
Required sponsor roles are: clinical supply manager and site manager.
Rights: SupplySettingRightsPost.
Required sponsor roles are: clinical supply manager and site manager.
Rights: SupplySettingRightsPost.
Request
Path Parameters
-
blindingGroupId(required): string
ID of blinding group.
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : BlindingGroup
Type:
objectTitle:
BlindingGroupObject containing blinding group details.
Show Source
-
defaultBlindingKit: string
Title:
Default Blinding KitID of the default kit in the blinding group.Example:392DA9F053E94B9B9339AC7D0FA0D1DB -
description: string
Title:
DescriptionBlinding group description.Example:Some description. -
id: string
(uuid)
Title:
Blinding Group IDID of blinding group. -
kitTypes: array
Kit Types
Title:
Kit TypesList of kit types in the blinding group. -
title: string
Title:
TitleBlinding group title.Example:Blinding Group Lotion
Nested Schema : Kit Types
Type:
arrayTitle:
Kit TypesList of kit types in the blinding group.
Show Source
-
Array of:
object KitTypeSummary
Title:
KitTypeSummaryObject for kit type summary details.
Nested Schema : KitTypeSummary
Type:
objectTitle:
KitTypeSummaryObject for kit type summary details.
Show Source
-
description: string
Title:
DescriptionKit type description.Example:Non dosing kit -
deviceConnection: string
Title:
mHealth Device Connection TypeAllowed Values:[ "CloudtoCloud", "DevicetoCloud", "NoConnection" ]Connection type of the mHealth device.Example:NoConnection -
deviceType: string
Title:
mHealth Device TypeAllowed Values:[ "ActivityWatch", "BloodPressureMonitor", "WeightScale", "ECGReader", "Spirometer", "MobileApp", "SmartPillBottle", "PulseOximeter", "WearablePatch", "Other", "GlucoseMonitor" ]Type of the mHealth device.Example:GlucoseMonitor -
id: string
Title:
Kit Type IDID of the kit type.Example:kitA -
kitTypeName: string
Title:
Kit Type NameKit type name.Example:Kit A -
packageType: string
Allowed Values:
[ "BLISTERPACK", "BOTTLE", "DEVICE", "SYRINGE", "OINTMENT", "VIAL", "INHALER", "INFUSION", "BOX", "OTHER" ]Package TypeExample:BOTTLE -
packageTypeId: number
(double)
Title:
Package Type IDAllowed Values:[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ]Unique ID corresponding to each package type value (1 for BLISTERPACK, 2 for BOTTLE, 3 for DEVICE, 4 for SYRINGE, 5 for OINTMENT, 6 for VIAL, 7 for INHALER, 8 for INFUSION, 9 for BOX, 10 for OTHER).Example:5 -
srcId: string
Title:
KitType Source IDKit type source ID.Example:D313327EF13845169A8ADADDA435431E
404 Response
Invalid study. OR Blinding Group not found.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object